//------------------------------------------------------------------------------
// <auto-generated>
//     Ce code a été généré à partir d'un modèle.
//
//     Des modifications manuelles apportées à ce fichier peuvent conduire à un comportement inattendu de votre application.
//     Les modifications manuelles apportées à ce fichier sont remplacées si le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace FoodTruck.DATA
{
    using System;
    using System.Collections.Generic;
    
    public partial class Produit
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Produit()
        {
            this.Ligne_Commande = new HashSet<Ligne_Commande>();
        }
    
        public int id_Produit { get; set; }
        public string description { get; set; }
        public string disponibilite { get; set; }
        public string image { get; set; }
        public Nullable<bool> isenable { get; set; }
        public string libellecommercial { get; set; }
        public string libelletechnique { get; set; }
        public double prix_unitaire { get; set; }
        public Nullable<int> stock_dispo { get; set; }
        public Nullable<int> id_FamilleRepas { get; set; }
    
        public virtual FamilleRepas FamilleRepas { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Ligne_Commande> Ligne_Commande { get; set; }
    }
}
